Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing.desktop.event
Class TitleChangedEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.common.swing.desktop.event.TitleChangedEvent

All Implemented Interfaces:
  Serializable

    public class TitleChangedEvent

extends EventObject

'thrown' to indicate that a View has a new title.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: TitleChangedEvent.java,v 1.3 2005/03/06 20:21:59 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`, Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serialization ID
`private String` | `title`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TitleChangedEvent(Object source, String title)`

Method Summary
`String` | `getTitle()` Accessor for the title

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### title

    private String title

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### TitleChangedEvent

    public TitleChangedEvent(Object source,
                             String title)

Method Detail

### getTitle

    public String getTitle()

  Accessor for the title

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD